Subject: Re: bug#13832: Tests fail because make runs with more than one jobs

From: Stefano Lattarini <[email-masked]>
Date: Fri, 26 Apr 2013 13:28:13 +0200

On 04/26/2013 12:57 PM, Joshua C. wrote:
> 2013/4/25 Stefano Lattarini <[email-masked]>:
>> On 04/20/2013 10:52 PM, Stefano Lattarini wrote:
>>> Reference:
>>> <http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13832>
>>>
>>> Hi Joshua, sorry again for the shameful delay.
>>>
>>> Can you check whether the attached patch solves the failure you've been
>>> experiencing with the test 't/ar-lib4.sh'?
>>>
>> Ping on this?
>>
>> Regards,
>>   Stefano
>>
> 
> I'm sorry for the delay... (was on vacation)
>
No worries, I just thought my answer could have been lost in the
cracks.

> I tried the patch but it couldn't fix the issue. I continue frequently
> to fail the test.
>
:-(

Does the attached patch (to be applied to 'branch-1.13.2' branch)
fares any better?

> [SNIP]

Thanks,
  Stefano
>From 13ca4c137dd5b33778861b82dfd1738fd601fb4f Mon Sep 17 00:00:00 2001
Message-Id: <13ca4c137[email-masked]>
From: Stefano Lattarini <[email-masked]>
Date: Sat, 20 Apr 2013 22:46:30 +0200
Subject: [PATCH] tests: avoid possible autotools caching issues (automake
 bug#13832)

* t/ar-lib4.sh: Here, by removing the autom4te cache before editing
configure.ac and re-running the autotools.

Signed-off-by: Stefano Lattarini <[email-masked]>
---
 t/ar-lib4.sh | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/t/ar-lib4.sh b/t/ar-lib4.sh
index 68615e8..4d3c40a 100755
--- a/t/ar-lib4.sh
+++ b/t/ar-lib4.sh
@@ -39,6 +39,8 @@ AUTOMAKE_fails
 
 grep 'requires.*AM_PROG_AR' stderr
 
+rm -rf autom4te*.cache
+
 cp X configure.ac
 
 cat >> configure.ac << 'END'
-- 
1.8.2.1.610.g562af5b